// Invoke 'strict' JavaScript mode
'use strict';
var request = require('request');

module.exports = {
	load: function(url, callback){
		request({
			url: url,
			json: true
		}, function (error, response, body) {
			if (!error && response.statusCode == 200) {
				callback(null, body);
			}else {
				this.emit('error', new Error('Bad status code'));
			}
		});
	},
	stat: function(packagename, start, end, callback){
		var url = 'https://api.npmjs.org/downloads/point/'+start+':'+end+'/'+packagename;
		return this.load(url, callback);
	},
	details: function(packagename,callback){
		var url = "https://registry.npmjs.org/"+packagename;
		return this.load(url, callback);
	}
};